EDIT - task #7346

[CHECK] Use separate area vocabulary for common names
04/06/2018 05:24 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 1:30 hour
Target version: Euro+Med Migration

Severity: normal

Description

Currently we try to map common name areas to tdwg and country vocabularies.

Experience has shown that it is better to have an own vocabulary.

It future it is also planned that a mapping between (area) terms is possible via concept relationships so queries on areas of different
vocabularies should still be possible.

We can use the emArea vocabulary which is mostly for occurrences but includes all areas required for common names, too.

Currently 147 of 149 areas are imported. The 2 not imported are the additional area 211 and 213 of Azores and Canary Is. They are
not needed for common names.

The mapping emCommonNameRegionFk -> emArea can be handled via table emLanguageRegion. But
e emCommonNameRegionFKs is a comma separated list, so it needs to be split first
e emLanguageRegion.Region include region name and emCode, the mapping is to be done via the emCode part (for very few

areas such a code does not exist, e.g. Wales which has 147 common names and Catalan which has no common names)

The includedIn mapping can be done via emRelArea, but still needs to be checked for completeness. Also there is one area that is
included in 2 areas (666- North Caucasus, part of Russion Federation and Caucasia (Ab+Ar+Gg+Rf(CS))

Related issues:

Related to EDIT - task #7341: [Check] CommonName import issues Resolved
Related to EDIT - feature request #7790: [DISCUSS] E+M: Language-Area Mapping New
Related to EDIT - task #8272: Add includedin relations to E+M areas New

Associated revisions

Revision 8ef74e91 - 09/24/2018 09:25 PM - Andreas Miiller

ref #7346 use E+M area vocabulary for common names

Revision 959bcc8d - 09/25/2018 01:34 PM - Andreas Miiller

ref #3986 , ref #7346 remove some areas from area import

Revision 449cd4da - 10/10/2018 12:17 PM - Andreas Muller

ref #7346 create areas only if vocabulary does not yet exist

Revision c268fd2e - 05/10/2019 12:41 PM - Andreas Miiller

ref #7346 adapt E+M area import to work correctly

History

#1 - 04/06/2018 05:25 PM - Andreas Miiller
- Related to task #7341: [Check] CommonName import issues added

#2 - 05/09/2018 05:27 PM - Andreas Miuller
- Estimated time set to 6:00 h

#3 - 09/20/2018 03:54 PM - Andreas Miuller

- Target version changed from Euro+Med Portal Release to Euro+Med Migration
#4 - 09/24/2018 03:30 PM - Andreas Miiller
- Related to feature request #7790: [DISCUSS] E+M: Language-Area Mapping added

#5 - 09/24/2018 04:57 PM - Andreas Miiller
- Description updated

#6 - 09/24/2018 04:59 PM - Andreas Miiller
- Description updated

#7 - 09/25/2018 09:30 AM - Andreas Miiller
- % Done changed from 0 to 40

#8 - 09/25/2018 09:30 AM - Andreas Miiller

- Status changed from New to In Progress

#9 - 09/25/2018 01:10 PM - Andreas Miiller
- % Done changed from 40 to 70

#11 - 09/29/2018 12:57 AM - Andreas Miiller
- Subject changed from [E+M] Use separate area vocabulary for common names to REV: Use separate area vocabulary for common names

- Priority changed from Highest to Priority12

#12 - 09/29/2018 06:39 PM - Andreas Miiller
- Subject changed from REV: Use separate area vocabulary for common names to [CHECK] Use separate area vocabulary for common names

- Priority changed from Priority12 to Highest

#13 - 09/29/2018 06:44 PM - Andreas Miiller
- Estimated time changed from 6:00 h to 1:30 h

#14 - 05/10/2019 12:33 PM - Andreas Miiller
- Related to task #8272: Add includedin relations to E+M areas added

#15 - 05/10/2019 12:33 PM - Andreas Miiller

- Description updated

#16 - 05/10/2019 12:45 PM - Andreas Miiller

- Status changed from In Progress to Resolved

- % Done changed from 70 to 90

This is generally solved. We only need to discuss how "Wales" should be handled as it is the only area which does not exist in E+M area vocabulary.
A follow up ticket exists for creation of includedIn relationships

#17 - 09/17/2021 03:29 PM - Andreas Miiller

- Status changed from Resolved to Closed

- % Done changed from 90 to 100
